<?php

class bFournisseur extends BackModule {

    function update($formvars = array(), $table = null, $langue = true) {

        $return = parent::update_multi($formvars);
        return $return;
    }

    function create($formvars = array(), $table = null, $langue = true) {

        $id = parent::create_multi($formvars);
        Boutique::getInstance()->createStatut('fournisseur', $id);
        return $id;
    }

    function delete($formvars = array()) {
        return parent::delete_multi($formvars);
    }

    function Form($formvars = array()) {

        if (empty($formvars['id']))
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouveau Fournisseur</a></span>";
        else {
            $sql = "SELECT fournisseur_nom as data FROM fournisseur WHERE fournisseur_id = '" . $formvars['id'] . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];

            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id'])) . "'>Edition du Fournisseur : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $this->request = getTableMutli('fournisseur', $formvars['id']);
        }
        //-- SQL
        // Champs du formulaire
        //GROUP
        $form = new BackForm("Informations", "group");
        $this->addForm($form);
        //--GROUP

        $form = new BackForm("Nom", "text", "fournisseur_nom");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        $form = new BackForm("Logo", "image", "fournisseur_image");
        $this->addForm($form);


        $form = new BackForm("Description", "tinymce", "fournisseur_nom_desc");
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Delai Reappro (en jours)", "text", "fournisseur_livraison");
        $this->addForm($form);

        $form = new BackForm("Statut", "select", "fournisseur_statut_id");
        $form->addAttr('class', 'required');
        $form->addOptionSQL(array("SELECT fournisseur_statut_id, fournisseur_statut_nom FROM fournisseur_statut ORDER BY fournisseur_statut_id"));
        $this->addForm($form);

        $form = new BackForm("Boutiques", "group");
        $form->addGroupOpts('class', 'fournisseur_boutique');
        $this->addForm($form);

        //GROUP
        $form = new BackForm("Adresse", "group");
        $this->addForm($form);
        //--GROUP

        $form = new BackForm("Adresse", "text", "fournisseur_rue");
        $form->addAttr('size', '100');
        $this->addForm($form);

        $form = new BackForm("Code postal", "text", "fournisseur_cp");
        $form->addAttr('size', '100');
        $this->addForm($form);

        $form = new BackForm("Ville", "text", "fournisseur_ville");
        $form->addAttr('size', '100');
        $this->addForm($form);

        $form = new BackForm("Pays", "select", "pays_id");
        $form->addOptionSQL(array("SELECT pays_id, pays_nom_nom FROM pays_nom WHERE langue_id = '".LANGUE."' GROUP BY pays_id ORDER BY pays_nom_nom"));
        $this->addForm($form);
        //-- Champs du formulaire

        if (!isset($formvars['id']))
            $formvars['id'] = 0;
        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array()) {

        // RECHERCHE
        $form = new BackForm("Nom", "text", "f.fournisseur_nom");
        $form->setVar("compare", "LIKE");
        $this->addForm($form);
        //-- RECHERCHE
        // SQL
        $sql = "SELECT f.fournisseur_id, f.fournisseur_id, f.fournisseur_nom, fournisseur_statut_id";
        $sql .= ", CONCAT(COUNT(p.produit_id), ' article(s)')";
        $sql.=" FROM (fournisseur f)";
        $sql .= " LEFT JOIN produit p ON(f.fournisseur_id = p.fournisseur_id)";
        $sql.=" WHERE 1";

        $this->request = $sql;
        //-- SQL
        // LABELS

        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("STATUT", "statut");
        $this->addLabel($label);
        
        $label = new BackLabel("NB PRODUIT");
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

//--
}