<?php

/*
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     function.url.php
 * Type:     function
 * Name:     url
 * Purpose:
 * -------------------------------------------------------------
 */

function smarty_function_url($params, Smarty_Internal_Template $template) {

    $router = Application::getRouter()->getRouter();

    $page = $params['page'];
    unset($params['page']);

    // add locale parameter
    /*if (array_key_exists('_locale', $params) == false) {
        $params['_locale'] = Boutique::getInstance()->getLangue()->ini;
    }*/

    foreach ($params as $key => $value) {
        $params[$key] = Tools::parseURL($value);
    }
    try {
        return $router->generate($page, $params);
    } catch (\Exception $e) {
        $debugBar = Application::getDebugBar();
        if (!empty($debugBar)) {
            $debugBar['exceptions']->addException($e);
        }

        return false;
    }

}