{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/address_book-->

        <div class="formAccount">
            <h1 class="titleLvl4">{txt value="Mes adresses"}</h1>
            {if !empty($error)}
                <div class="row">
                    <div class="col-xs-12">
                        {include file="form/flash.tpl" class="error" messages=$error}
                    </div>
                </div>
            {/if}
            <form action="" id="address-book-address-select-form" method="get">
                <div class="form-group">
                    <label for="address-book-address-select">{txt value="Available adresses"} :</label>
                    <select name="adresse_id" id="address-book-address-select" class="selectpicker">
                        {if !empty($isNew)}
                            <option value="0" selected>{txt value="Selecter une adresse"}</option>
                        {/if}
                        {foreach from=$adresse item=adress}
                            {html_options values=$adress.adresse_id selected=$post.adress_id|default:"" output=$adress.adresse_libelle selected=$selectedAdress.adresse_id}
                        {/foreach}
                    </select>
                </div>
                <a class="mainLink" href="{url page="compte_adresse_edit" nouveau="1"}">{txt value="Ajouter une nouvelle adresse"}</a>
            </form>
            {include file="form/adress_form.tpl"}
        </div>

{/block}

{block name="script-js"}
    <script type="application/javascript">
        $(document).ready(function () {
            $("select#address-book-address-select").on('change',function () {
                $("form#address-book-address-select-form").submit();
            })
        });
    </script>
{/block}