<!--form/adress_form-->

<form action="{url page="compte_adresse_edit_post"}" method="post" id="adress_form_form">

    {if !empty($adresse_id)}
        <input type="hidden" name="adresse_id" value="{$adresse_id}">
    {/if}
    <div class="form-group">
        <label for="flibelle">{txt value="Libéllé de l'adresse"}* :</label>
        <input class="form-control" type="text" name="adresse_libelle" value="{if !empty($post)}{$post.adresse_libelle}{elseif !empty($a)}{$a.adresse_libelle}{/if}" id="flibelle" />
    </div>

    <div class="form-group">
        <label class="civ">{txt value="Civilité"}* :</label>
        {foreach from=$civilite item=c name="civfor"}
            <label for="civilite_id{$c.civilite_id}" class="radio">
                <input type="radio" value="{$c.civilite_id}" name="civilite_id" id="civilite_id{$c.civilite_id}" {if !empty($a.civilite_id) && $a.civilite_id == $c.civilite_id}checked="checked"{/if}/>
                <span class="spanRadio"><span></span></span>
                <span class="text">{$c.civilite_nom_nom}</span>
            </label>
        {/foreach}
    </div>

    <div class="row">
        <div class="col-sm-6 col-xs-12">
            <div class="form-group wrapFloatLabel">
                <input class="form-control floatLabelInput" type="text" name="adresse_nom" value="{if !empty($post)}{$post.adresse_nom}{elseif !empty($a)}{$a.adresse_nom}{/if}" id="fnom" />
                <label for="fnom" class="floatLabel"><span class="floatLabelContent">{txt value="Nom"}* :</span></label>
            </div>
        </div>
        <div class="col-sm-6 col-xs-12">
            <div class="form-group wrapFloatLabel">
                <input class="form-control floatLabelInput" type="text" name="adresse_prenom" value="{if !empty($post)}{$post.adresse_prenom}{elseif !empty($a)}{$a.adresse_prenom}{/if}" id="fprenom" />
                <label for="fprenom" class="floatLabel"><span class="floatLabelContent">{txt value="Prénom"}* :</span></label>
            </div>
        </div>
    </div>

    <div class="form-group wrapFloatLabel">
        <input class="form-control floatLabelInput" type="text" name="adresse_societe" value="{if !empty($post)}{$post.adresse_societe}{elseif !empty($a)}{$a.adresse_societe}{/if}" id="fsociete"/>
        <label for="fsociete" class="floatLabel"><span class="floatLabelContent">{txt value="Société"} :</span></label>
    </div>

    <div class="form-group wrapFloatLabel">
        <input class="form-control floatLabelInput" type="text" name="adresse_rue" value="{if !empty($post)}{$post.adresse_rue}{elseif !empty($a)}{$a.adresse_rue}{/if}" id="fadresse" />
        <label for="fadresse" class="floatLabel"><span class="floatLabelContent">{txt value="Adresse"}* :</span></label>
    </div>

    <div class="form-group wrapFloatLabel">
        <input type="text" class="form-control floatLabelInput" name="adresse_rue2" value="{if !empty($post)}{$post.adresse_rue2}{elseif !empty($a)}{$a.adresse_rue2}{/if}" id="adresse_rue2" />
        <label for="quartier" class="floatLabel"><span class="floatLabelContent">{txt value="Complément d'adresse"} :</span></label>
    </div>

    <div class="row">
        <div class="col-sm-4">
            <div class="form-group wrapFloatLabel">
                <input class="form-control floatLabelInput" type="number" name="adresse_cp" value="{if !empty($post)}{$post.adresse_cp}{elseif !empty($a)}{$a.adresse_cp}{/if}" id="fcode_postal" />
                <label for="fcode_postal" class="floatLabel"><span class="floatLabelContent">{txt value="Code postal"}* :</span></label>
            </div>
        </div>
        <div class="col-sm-8">
            <div class="form-group wrapFloatLabel">
                <input class="form-control floatLabelInput" type="text" name="adresse_ville" value="{if !empty($post)}{$post.adresse_ville}{elseif !empty($a)}{$a.adresse_ville}{/if}" id="fville"/>
                <label for="fville" class="floatLabel"><span class="floatLabelContent">{txt value="Ville"}* :</span></label>
            </div>
        </div>
    </div>

    <div class="form-group">
        <label for="fpays">{txt value="Pays"}* :</label>
        <select name="pays_id" id="fpays" class="form-control selectpicker">
            {foreach from=$pays item=p}
                {html_options values=$p.pays_id output=$p.pays_nom_nom selected=$a.pays_id|default:77}
            {/foreach}
        </select>
    </div>

    <div class="form-group wrapFloatLabel">
        <input class="form-control floatLabelInput" type="text" name="adresse_telephone" value="{if !empty($post)}{$post.adresse_telephone}{elseif !empty($a)}{$a.adresse_telephone}{/if}" id="ftelmobile"/>
        <label for="ftelmobile" class="floatLabel"><span class="floatLabelContent">{txt value="Numéro de téléphone "}* :</span></label>
    </div>

    <div class="form-group">
        <input type="hidden" name="adresse_default" value="0">
        <input type="checkbox" name="adresse_default" value="1" {if  !empty($a.adresse_default ) && $a.adresse_default == 1}checked{/if}>
        <label for="adresse_default">{txt value="Adresse de livraison par défaut"}</label>
    </div>

    <div class="form-group submit-button text-right">
        <div class="row">
            <div class="col-sm-6">
                <p class="text-left">
                    {txt value="* : champs obligatoires"}
                </p>
            </div>
            <div class="col-sm-6">
                <button type="submit" class="btn btnMain wide">{txt value="Valider"}</button>
            </div>
        </div>
    </div>
</form>
