<!--parts/footer-->
<footer class="footer">

    {*REINSURANCE*}
    <div class="reinsuranceFooter">
        {include file="parts/reinsurance.tpl"}
    </div>
    {* // REINSURANCE*}

    {*SOCIAL MEDIAS & NEWSLETTER*}
    <div class="socialFooter">
        <div class="container">
            <div class="row">
                {if !empty($config_social)}
                    <div class="col-md-6 col-sm-8 col-xs-12 col-sm-offset-2 col-md-offset-0">
                        <div class="socialMedias">
                            <p class="titleLvl4 uppercase">{txt value="retrouvez-nous aussi sur :"}</p>
                            <ul>
                                {if !empty($config_social['facebook'])}
                                    <li>
                                        <a href="{$config_social['facebook']}" target="_blank">{include file="icons/facebook.tpl"}</a>
                                    </li>
                                {/if}
                                {if !empty($config_social['instagram'])}
                                    <li>
                                        <a href="{$config_social['instagram']}" target="_blank">{include file="icons/instagram.tpl"}</a>
                                    </li>
                                {/if}
                                {if !empty($config_social['youtube'])}
                                    <li>
                                        <a href="{$config_social['youtube']}" target="_blank">{include file="icons/youtube.tpl"}</a>
                                    </li>
                                {/if}
                                {if !empty($config_social['snapchat'])}
                                    <li>
                                        <a href="{$config_social['snapchat']}" target="_blank">{include file="icons/snapchat.tpl"}</a>
                                    </li>
                                {/if}
                            </ul>
                        </div>
                    </div>
                {/if}
                <div class="col-md-6 col-sm-8 col-xs-12 col-sm-offset-2 col-md-offset-0">
                    <div class="newsletter">
                        <p class="titleLvl4 uppercase">{txt value="Ne ratez aucun bon plan, inscrivez-vous à notre newsletter :"}</p>
                        <form action="{url page="newsletter_subscribe"}" class="wrapTextSubmit" name="subscribeForm" id="subscribeFormNewsletter">
                            <input type="text" id="txtNewsletter" name="email" placeholder="Votre email...">
                            <button type="submit"  id="subscribeNewsLetter" data-target="#modalAddNews" class="btn"></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {* // SOCIAL MEDIAS & NEWSLETTER*}



    <div class="wrapFooter">
        <div class="container-fluid">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        {* FOOTER MENU *}
                        <nav class="menuFooter">
                            <div class="row">
                                <div class="col-md-3 col-sm-4 hidden-xs col-md-offset-1 col-sm-offset-0">
                                    <p class="titleLvl5">{txt value="Mes informations"}</p>
                                    <ul>
                                        <li><a href="{url page="compte"}">{txt value="Mon compte"}</a></li>
                                        <li><a href="{url page="commande"}">{txt value="Mes commandes"}</a></li>
                                        {*<li><a href="{url page="compte_ba"}">{txt value="Mes bons d'achat"}</a></li>*}
                                    </ul>
                                </div>
                                <div class="col-md-4 col-sm-4 hidden-xs">
                                    {if !empty($arrFooter) && !empty($arrFooter.1)}
                                        <p class="titleLvl5">{$arrFooter.1.menu_nom_nom}</p>
                                        <ul>
                                            {foreach $arrFooter.1.pages as $page}

                                                <li><a href="{url page="page" page_nom_url=$page.page_nom_url}">{$page.page_nom_nom}</a></li>
                                            {/foreach}
                                        </ul>
                                    {/if}
                                </div>
                                <div class="col-md-3 col-sm-4">
                                    <div class="hidden-xs">
                                        {if !empty($arrFooter) && !empty($arrFooter.2)}
                                            <p class="titleLvl5">{$arrFooter.2.menu_nom_nom}</p>
                                            <ul>
                                                {foreach $arrFooter.2.pages as $page}
                                                    <li><a href="{url page="page" page_nom_url=$page.page_nom_url}">{$page.page_nom_nom}</a></li>
                                                {/foreach}
                                            </ul>
                                        {/if}
                                    </div>
                                </div>
                            </div>
                        </nav>
                        {* // FOOTER MENU *}


                        <div class="clear"></div>
                        {*COPYRIGHT AND LINKS*}
                        <div class="copyAndLinks">
                            <ul>
                                {foreach $arrCredits as $credit}
                                    <li><a href="{url page="page" page_nom_url=$credit.page_nom_url}">{$credit.page_nom_nom}</a></li>
                                {/foreach}

                                <li><a href="{url page="sitemap"}">{txt value='Plan du site'}</a></li>
                                <li><a href="{url page="contact"}">{txt value="Contactez-nous"}</a></li>
                                <li><span>{txt value="© 2019 Nom de la boutique - Tous droits réservés" key="footer_link_copyright"}</span></li>
                                <li><a href="https://www.dedi-agency.com/" target="_blank">Designed with love by Dedi, solution e-commerce</a></li>
                            </ul>
                        </div>
                        {* // COPYRIGHT AND LINKS*}
                    </div>
                </div>
            </div>
        </div>
    </div>

</footer>
