{extends file='layout/layout.tpl'}

{block name='content'}

    <!--sitemap.tpl-->

    <div class="sitemapPage">
        <div class="hidden-xs">
            {Breadcrumb::getInstance()->render()}
        </div>

        {* //SITEMAP - Header *}
        <div class="sitemapHeader">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <h1 class="titleLvl1">{txt value='Plan du site'}</h1>
                    </div>
                </div>
            </div>
        </div>
        {* SITEMAP - Header// *}

        {* //SITEMAP - Body *}
        <div class="sitemapBody">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">

                        <div class="wrapSitemapList">
                            {foreach $categories as $categorie}

                                {* //SITEMAP - List *}
                                <ul class="sitemapList">
                                    <li>
                                        <a class="titleLvl4" href="{url page="liste_1" categorie_nom=$categorie.categorie_nom_nom id=$categorie.categorie_id}">{$categorie.categorie_nom_nom}</a>
                                        {if !empty($categorie.children)}
                                            <ul class="list-unstyled">
                                                {foreach $categorie.children as $ssCat}
                                                    <li class="sitemapItem clearfix">
                                                        <a class="sitemapName" href="{url page="liste_2" parent_nom=$categorie.categorie_nom_nom categorie_nom=$ssCat.categorie_nom_nom id=$ssCat.categorie_id}">{$ssCat.categorie_nom_nom}</a>
                                                        {if !empty($ssCat.children)}
                                                            <ul class="list-unstyled">
                                                                {foreach $ssCat.children as $ssSsCat}
                                                                    <li>
                                                                        <a href="{url page="liste_3" grand_parent_nom=$categorie.categorie_nom_nom parent_nom=$ssCat.categorie_nom_nom categorie_nom=$ssSsCat.categorie_nom_nom id=$ssSsCat.categorie_id}">{$ssSsCat.categorie_nom_nom}</a>
                                                                    </li>
                                                                {/foreach}
                                                            </ul>
                                                        {/if}
                                                    </li>
                                                {/foreach}
                                            </ul>
                                        {/if}
                                    </li>
                                </ul>
                                {* SITEMAP - List// *}

                            {/foreach}
                        </div>

                    </div>
                </div>
            </div>
        </div>
        {* SITEMAP - Body// *}

    </div>
{/block}