<?php

use Phinx\Migration\AbstractMigration;

class InsertActif extends AbstractMigration
{
    public function up()
    {
        $actif = array(
            array('actif_id' => '1','actif_nom' => 'ACTIF'),
            array('actif_id' => '2','actif_nom' => 'INACTIF')
        );

        $this
            ->table('actif')
            ->insert($actif)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('actif')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
